From: Hubert Chathi <uhoreg@debian.org>
Date: Sun, 22 Jan 2023 20:52:34 +0100
Subject: look for noweb'ss troff macros in the correct directory

---
 src/shell/noroff  | 4 ++--
 src/shell/roff.nw | 4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)

diff --git a/src/shell/noroff b/src/shell/noroff
index fbe2b2a..6afeea3 100644
--- a/src/shell/noroff
+++ b/src/shell/noroff
@@ -4,7 +4,7 @@
 
 ROFF="groff"
 AWK=nawk
-macrodir=|LIBDIR|
+macrodir=/usr/share/groff/tmac
 LIB=|LIBDIR|
 
 opts=
@@ -36,7 +36,7 @@ fi
 
 base="`basename $1 | sed '/\./s/\.[^.]*$//'`"
 tagsfile="$base.nwt"
-(echo ".so $macrodir/tmac.w"
+(echo ".so $macrodir/noweb.tmac"
 if [ -r "$tagsfile" ]; then 
    tagstemp=$($LIB/nwmktemp) || { echo "$0: Cannot create temporary file" >&2; exit 1;  }
    cp $tagsfile $tagstemp
diff --git a/src/shell/roff.nw b/src/shell/roff.nw
index 24ddee6..62171ad 100644
--- a/src/shell/roff.nw
+++ b/src/shell/roff.nw
@@ -632,7 +632,7 @@ The location of [[macrodir]] is likely to require customization.
 
 ROFF="groff"
 AWK=nawk
-macrodir=|LIBDIR|
+macrodir=/usr/share/groff/tmac
 LIB=|LIBDIR|
 
 opts=
@@ -664,7 +664,7 @@ fi
 
 base="`basename $1 | sed '/\./s/\.[^.]*$//'`"
 tagsfile="$base.nwt"
-(echo ".so $macrodir/tmac.w"
+(echo ".so $macrodir/noweb.tmac"
 if [ -r "$tagsfile" ]; then 
    tagstemp=$($LIB/nwmktemp) || { echo "$0: Cannot create temporary file" >&2; exit 1;  }
    cp $tagsfile $tagstemp
